---
- name:
  hosts: localhost

  tasks:
    - name: Install 3rd-party maven artifacts
      maven_artifact:
        group_id: "{{ lookup('env', 'MVN_GROUP_ID') }}"
        artifact_id: "{{ lookup('env', 'MVN_ARTIFACT_ID') }}"
        version: "{{ lookup('env', 'MVN_VERSION') | default('latest') }}"
        verify_checksum: "{{ verify_checksum | default('download') }}"
        validate_certs: "{{ validate_certs | default('yes') }}"
        extension: "{{ extension | default('jar') }}"
        keep_name: "{{ keep_name | default('no') }}"
        classifier: "{{ classifier | default(omit) }}"
        owner: "{{ owner | default(omit) }}"
        group: "{{ group | default(omit) }}"
        mode: "{{ mode | default(omit) }}"
        dest: "{{ lookup('env', 'MVN_DEST') }}"
        timeout: "{{ timeout | default(30) }}"
        state: "{{ state | default('present') }}"
